package com.yuchen.saas.message.api.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * <p>
 * 通知类型枚举类型
 * </p>
 *
 * @author caiwq
 * @since 2024-02-23
 */
@Getter
@AllArgsConstructor
public enum NoticeTypeEnum {

    /**
     * 系统公告
     */
    XTGG(1, "系统公告"),
    /**
     * 管理区公告
     */
    GLQGG(2, "管理区公告"),
    /**
     * 组织公告
     */
    ZZGG(3, "组织公告"),
    /**
     * 资讯
     */
    ZX(4, "资讯");

    private final int value;
    private final String desc;

    public static String getDescByCode(Integer value) {
        if (Objects.isNull(value)) {
            return "";
        }
        NoticeTypeEnum[] enumArray = NoticeTypeEnum.values();
        for (NoticeTypeEnum e : enumArray) {
            if (e.getValue() == value) {
                return e.getDesc();
            }
        }
        return "";
    }

}
